<?php

class MY_Controller extends CI_Controller{
    public $MY_response;
    public function __construct(){
        parent::__construct();
        $this->MY_response['csrf_token'] = $this->security->get_csrf_hash();

        $this->level_user           = $this->session->userdata('level_user');
        $this->id_company           = $this->session->userdata('id_company');
        $this->multi_cabang         = $this->session->userdata('multi_cabang');
        $this->cabang_pusat         = $this->session->userdata('cabang_pusat');
        $this->id_cabang            = $this->session->userdata('id_cabang');
        $this->id_cabang_arr        = $this->session->userdata('id_cabang_arr');
        $this->multi_departemen     = $this->session->userdata('multi_departemen');
        $this->id_departemen        = $this->session->userdata('id_departemen');
        $this->id_departemen_arr    = $this->session->userdata('id_departemen_arr');
        $this->id_karyawan          = $this->session->userdata('id_karyawan');
		$this->id_paket				= $this->session->userdata('id_paket');
        $this->menu          		= $this->session->userdata('menu');
    }
}